Class List Method List File List

# Class: Parser::ParseNode

Inherits:
  Object
  - Object
  - Parser::ParseNode
  show all
Includes:
  Haml::Temple::Expressions
Defined in:
  lib/haml/temple.rb

## Instance Method Summary (collapse)

- - to_temple

### Methods included from Haml::Temple::Expressions

#on_doctype, #on_plain, #on_root, #on_tag

## Instance Method Details

### - to_temple

    77
    78
    79
    80
    81

    # File 'lib/haml/temple.rb', line 77

    def to_temple
      begin
        send "on_#{type}"
      end
    end